/*
  Rhino test framework

   Copyright (C) 2011, 2012, 2013, 2014  Red Hat

This file is part of IcedTea.

IcedTea is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

IcedTea is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with IcedTea; see the file COPYING.  If not, write to the
Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
02110-1301 USA.

Linking this library statically or dynamically with other modules is
making a combined work based on this library.  Thus, the terms and
conditions of the GNU General Public License cover the whole
combination.

As a special exception, the copyright holders of this library give you
permission to link this library with independent modules to produce an
executable, regardless of the license terms of these independent
modules, and to copy and distribute the resulting executable under
terms of your choice, provided that you also meet, for each linked
independent module, the terms and conditions of the license of that
module.  An independent module is a module which is not derived from
or based on this library.  If you modify this library, you may extend
this exception to your version of the library, but you are not
obligated to do so.  If you do not wish to do so, delete this
exception statement from your version.
*/

class Log {

    /**
     * Set of colors for colorized output to the terminal.
     */
    static Map<String, String> colors = new HashMap<String, String>(10);

    static
    {
        colors.put( "RED", "31" );
        colors.put( "GREEN", "32" );
        colors.put( "ORANGE", "33" );
        colors.put( "BLUE", "34" );
        colors.put( "VIOLET", "35" );
        colors.put( "MAGENTA", "35" );
        colors.put( "LIGHT_BLUE", "36" );
        colors.put( "GRAY", "38" );
        colors.put( "GREY", "38" );
    }

    /**
     * Actual amount of indentation.
     */
    private int indent = 0;

    /**
     * How much spaces should be added/removed for each level?
     */
    private int indentDelta = 4;

    /**
     * Class name used by logger.
     */
    private String className = null;

    /**
     * Implicit constructor.
     */
    public Log()
    {
        this.className = "unknown";
    }

    /**
     * Explicit constructor that initializes class name.
     */
    public Log(String className)
    {
        this.className = className;
    }

}

